Subject: PC Hi Res

From: [email-masked] (Simon Giszter)
Date: Mon, 14 Oct 91 23:07:26 EDT

I played with the Hi Res mode on a 25MHz 386 tonight. I found much of the 
jitter in values disappeared when I added in a small delay in the 
readbit macro.

namely:

#define readbit(x) for(i=0;i<5;i++); rd=inportb(0x379); ...

I still couldn't push the thing beyond the 4/21 for constants N & D 
which Greg Alt found. It was actually most stable a little below that
speed (i.e. the dummy values were all stable). I didn't have obvious 
echo problems unless I shielded the glove with my hand. If your glove
is skittish it may help to add this delay.

ciao,
Simon